body {
  margin: 0;
}

html {
  overflow-x: hidden;
  overflow-y: scroll;
}

#loading-bg {
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  background: var(--initial-loader-bg, #fff);
  block-size: 100%;
  inline-size: 100%;
}

.loader {
  display: inline-block;
  width: 64px;
  height: 64px;
  position: relative;
  background-image:
    linear-gradient(#7367F0 16px, transparent 0) ,
    linear-gradient(#5b16a3 16px, transparent 0) ,
    linear-gradient(#5b16a3 16px, transparent 0) ,
    linear-gradient(#7367F0 16px, transparent 0);
  background-repeat: no-repeat;
  background-size: 16px 16px;
  background-position: left top , left bottom , right top , right bottom;
  animation: rotate 1s linear infinite;
}
@keyframes rotate {
  0% {
    width: 64px;
    height: 64px;
    transform: rotate(0deg)
  }
  50% {
    width: 30px;
    height: 30px;
    transform: rotate(180deg)
  }
  100% {
    width: 64px;
    height: 64px;
    transform: rotate(360deg)
  }
}